﻿/*
 * Zahora_semestralnyprojektMIPS.c
 *
 * Created: 6. 6. 2023 11:51:49
 *  Author: Jozef Zahora
 */ 

#include <avr/io.h>
#include <stdio.h>
#include "uart.h"

FILE uart_output = FDEV_SETUP_STREAM(uart_putc, NULL, _FDEV_SETUP_WRITE);
FILE uart_input  = FDEV_SETUP_STREAM(NULL, uart_getc, _FDEV_SETUP_READ);

int main(void)
{	
	uart_init();                  // Inicializacia seriovej linky
	stdout = &uart_output;		  // funkcia printf aktivna
    stdin = &uart_input;		  // funkcia scanf a getchar aktivna
	
    char p[7];					  //nastavenie premennych
	char d[7]; 
	int i=0, l;   
	int j=0, k;       
    char a,b,c,r;
	float x,y;

    while(1) {
		i=0;
		j=0;
		l=0;
		k=0;
		
		while((a=getchar()) != ' ') {		//nacitanie prveho cisla, az po stlacenie medzery
			p[i] = a;
			i++;
			}	
		for(l=0; l<=i-1;l++) {
			 printf("%c", p[l]);
			 } 
		
		c = getchar();						//nacitanie znamienka
        printf("%c", c);
	
		while((b=getchar()) != ' ') {		//nacitanie druheho cisla, az po stlacenie medzery
			d[j] = b;
			j++;
			}	
		for(k=0; k<=j-1;k++) {
			printf("%c", d[k]);
			}
			
        printf("=");
		
		x=atof(p);							//prepis retazca do cisla typu float
		y=atof(d);
			
		if(c=='+')printf("%.2f\n",x+y);			//porovnanie nacitaneho znamienka a vykonanie prislusnej operacie
		else if(c=='-')printf("%.2f\n",x-y);
		else if(c=='*')printf("%.2f\n",x*y);
		else if(c=='/')
			if(y!=0) printf("%.2f\n",x/y);
			else printf("\nError - Nulou sa nedeli.\n");	//keby druhe cislo bola nula nebude delit nulou
		else printf("\nError - Nespravna operacia.\n");		//v pripade zadanie zleho znaku, nevykona operaciu
		}					  
    return 0;
 }